<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * ...
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="fprintf">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>fprintf</refname>
    <refpurpose> Emulator of C language fprintf function</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>fprintf(file,format,value_1,..,value_n)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>format</term>
        <listitem>
          <para>a Scilab string. Specifies a character string combining literal characters with conversion specifications.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>value_i</term>
        <listitem>
          <para>Specifies the data to be converted according to the format parameter.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>str</term>
        <listitem>
          <para>column vector of character strings</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>file</term>
        <listitem>
          <para>a Scilab string specifying a file name or a logical unit number (see <literal>file</literal>)</para>
          <para>Note that is file=0, the message will be display on standard error stream (stderr).</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para> Obsolete function, use preferabily the <link linkend="mfprintf">mfprintf</link> function
      which is much more compatible with the C <literal>fprintf</literal> functionalities.</para>
    <para>
    The <literal>fprintf</literal> function converts, formats, and writes
    its <literal>value</literal> parameters, under control of the <literal>format</literal>
    parameter, to the file specified by its <literal>file</literal> parameter.
  </para>
    <para>
    The <literal>format</literal> parameter is a character string that contains two
    types of objects:
  </para>
    <variablelist>
      <varlistentry>
        <term>Literal characters</term>
        <listitem>
          <para>which are copied to the output stream.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>Conversion specifications</term>
        <listitem>
          <para>each of which causes zero or more items to be fetched from the <literal>value</literal> parameter list. see <link linkend="printf_conversion">printf_conversion</link> for details</para>
        </listitem>
      </varlistentry>
    </variablelist>
    <para>
    If any <literal>value</literal>s remain after the entire <literal>format</literal> has been
    processed, they are ignored.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
u=file('open','results','unknown') //open the result file
t=0:0.1:2*%pi;
for tk=t
  fprintf(u,'time = %6.3f value = %6.3f',tk,sin(tk)) // write a line
end
file('close',u) //close the result file

fprintf(0,'My error which is going to be displayed on the stderr') 
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="mfprintf">mfprintf</link>
      </member>
      <member>
        <link linkend="string">string</link>
      </member>
      <member>
        <link linkend="print">print</link>
      </member>
      <member>
        <link linkend="write">write</link>
      </member>
      <member>
        <link linkend="format">format</link>
      </member>
      <member>
        <link linkend="disp">disp</link>
      </member>
      <member>
        <link linkend="file">file</link>
      </member>
      <member>
        <link linkend="printf">printf</link>
      </member>
      <member>
        <link linkend="sprintf">sprintf</link>
      </member>
      <member>
        <link linkend="printf_conversion">printf_conversion</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
